precision mediump float;

uniform sampler2D texHighRes;

uniform vec3 uColor0;
uniform vec3 uColor1;
uniform vec3 uColor2;

varying vec2 varyTexCoord;

void main()
{
	float opacity = texture2D(texHighRes, varyTexCoord).r;
	float t = smoothstep(0.0, 1.0, texture2D(texHighRes, varyTexCoord).g);
	
	float EDGE_0 = 0.1;
	float EDGE_1 = 0.2;
	float EDGE_2 = 0.5;
	
	vec3 color = vec3(0.0);
	if(t < EDGE_0)
	{
		color = vec3(0.0);
	}
	else if(t < EDGE_1)
	{
		t = (t-EDGE_0) / (EDGE_1-EDGE_0);
		color = t * uColor0 + (1.0-t) * vec3(0.0);
	}
	else if(t < EDGE_2)
	{
		t = (t-EDGE_1) / (EDGE_2-EDGE_1);
		color = t * uColor1 + (1.0-t) * uColor0;
	}
	else
	{
		t = (t-EDGE_2) / (1.0-EDGE_2);
		color = t * uColor2 + (1.0-t) * uColor1;
	}
	
	t = t > 0.1 ? t : 0.0;
	
	gl_FragColor = vec4(vec3(t*opacity), 1.0);
	gl_FragColor = vec4(color*opacity, 1.0);
}
