precision mediump float;

uniform sampler2D texImage;
uniform sampler2D texVel;
uniform vec2 uStrength;

varying highp vec2 varyTexCoord;

void main()
{
	vec2 vel = texture2D(texVel, varyTexCoord).rg;
	vel -= vec2(0.5);
	vel *= uStrength;
	
	vec4 centerSample = texture2D(texImage, varyTexCoord);

	vec4 sum = centerSample;
	sum += texture2D(texImage, varyTexCoord + vel).rgba;
	sum += texture2D(texImage, varyTexCoord + vel*2.0).rgba;
	sum += texture2D(texImage, varyTexCoord - vel).rgba;
	sum += texture2D(texImage, varyTexCoord - vel*2.0).rgba;
	sum *= 0.2;
	
	
	gl_FragColor = vec4(mix(centerSample.rgb, sum.rgb, sum.a), 1.0);
	//gl_FragColor = vec4(sum.rgb, 1.0);
	//gl_FragColor = vec4(((vel*20.0+vec2(1.0)) * 0.5), 0.5, 1.0);
}
