uniform mat4 u_Matrix;
uniform float u_Time;
uniform float alphaRate;
uniform float scaleRate;

attribute vec3 a_Position;  
attribute vec3 a_Color;
attribute vec3 a_DirectionVector;
attribute float a_ParticleStartTime;
attribute float aPositionSize;  //顶点大小

varying vec3 v_Color;
varying float v_ElapsedTime;
varying float v_rate;

void main()                  
{                                	  	  
    v_Color = a_Color;
    v_ElapsedTime = u_Time - a_ParticleStartTime;    
    float gravityFactor = v_ElapsedTime * v_ElapsedTime / 8.0;
    vec3 currentPosition = a_Position + (a_DirectionVector * v_ElapsedTime);
    currentPosition.y -= 0.0;
    gl_Position = u_Matrix * vec4(currentPosition, 1.0);
    /*
    gl_PointSize = 10.0;
    */
    gl_PointSize = aPositionSize + v_ElapsedTime*scaleRate;
    v_rate = alphaRate;
}   
